For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.AgentPlatform.GetModelByUUID(ctx context.Context, uuid string) (*godo.Model, *godo.Response, error)
Description
MCPSearchModelByUUID searches available models for a specific UUID and returns the model if it exists.
This method sends a GET request to /v2/gen-ai/models.
Parameters
uuid string required
Returns
- *godo.Model
- *godo.Response
The HTTP response, with pagination Links, Meta, and Rate limit information.
- error
Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.
Fields of godo.Model
Model represents an Agent Platform Model
Agreement *godo.Agreement
Omitted from JSON when empty. JSON key: agreement
BenchmarkScore json.RawMessage
Omitted from JSON when empty. JSON key: benchmark_score
Capabilities []string
Omitted from JSON when empty. JSON key: capabilities
ContextWindow string
Omitted from JSON when empty. JSON key: context_window
CreatedAt *godo.Timestamp
Omitted from JSON when empty. JSON key: created_at
Description string
Omitted from JSON when empty. JSON key: description
InferenceName string
Omitted from JSON when empty. JSON key: inference_name
InferenceVersion string
Omitted from JSON when empty. JSON key: inference_version
IsFoundational bool
Omitted from JSON when empty. JSON key: is_foundational
ModelAvailability string
Omitted from JSON when empty. JSON key: model_availability
Modalities *godo.ModelModalities
Omitted from JSON when empty. JSON key: modalities
Name string
Omitted from JSON when empty. JSON key: name
ParameterCount float64
Omitted from JSON when empty. JSON key: parameter_count
ParentUuid string
Omitted from JSON when empty. JSON key: parent_uuid
Pricing *godo.ModelPricing
Omitted from JSON when empty. JSON key: pricing
Provider string
Omitted from JSON when empty. JSON key: provider
Type string
Omitted from JSON when empty. JSON key: type
UpdatedAt *godo.Timestamp
Omitted from JSON when empty. JSON key: updated_at
UploadComplete bool
Omitted from JSON when empty. JSON key: upload_complete
Url string
Omitted from JSON when empty. JSON key: url
Usecases []string
Omitted from JSON when empty. JSON key: usecases
Uuid string
Omitted from JSON when empty. JSON key: uuid
Version *godo.ModelVersion
Omitted from JSON when empty. JSON key: version
Request Sample
Show Request Sample
package main
import (
"context"
"fmt"
"log"
"os"
"github.com/digitalocean/godo"
)
func main() {
client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
ctx := context.TODO()
result, _, err := client.AgentPlatform.GetModelByUUID(ctx, "<your-uuid>")
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}
See GET /v2/gen-ai/models in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.